--- ./ssl_common.h	2025-01-25 10:23:55
+++ ./ssl_common.h	2025-01-25 10:25:19
@@ -32,6 +32,21 @@
 
 #include "project.h"
 
+/*
+ * Use ECC, i.e. OpenSSL EVP_PKEY_EC; otherwise use EVP_PKEY_RSA
+ */
+#define USE_EVP_PKEY_EC
+
+/*
+ * Use EVP_PKEY_RSA by default
+ */
+#ifdef USE_EVP_PKEY_EC
+/*
+ * See <openssl/obj_mac.h>
+ */
+#define EC_GROUP_NAME                    SN_X9_62_prime256v1 /* EC group name */
+#endif
+
 #define RSA_KEY_PUBLIC_EXPONENT          65537             /* Public exponent for RSA private key generating */
 #define RSA_KEYSIZE                      2048              /* Size of generated RSA keys */
 #define ERROR_BUF_SIZE                   1024              /* Size of buffer for error messages */
